Bug 58012 - feature request: CUPS
Summary: feature request: CUPS
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-05 17:13 UTC by Gerd v. Egidy
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-27 17:08:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gerd v. Egidy 2002-01-05 17:13:51 UTC
CUPS has a lot of new features compared to LPRng (especially as a print 
server).
It now has tight integration into samba and KDE -> e.g. KDE finds all 
CUPS-printers on my LAN automatically and installing them is just a click.
But currently I have to recompile kdelibs, kdebase and samba to get full 
support for cups.

LPRng also had a lot of major security issues in the past and I expect 
more to come. CUPS instead had just one I remember...

So please include CUPS in your default installation and compile KDE and 
samba with cups support.

Thank you.

Comment 1 Tim Waugh 2002-01-10 17:04:05 UTC
Longer term, perhaps, yes.


Comment 2 Gerd v. Egidy 2002-01-10 19:28:54 UTC
Does this mean it is scheduled for next release or not?
All the other major distros have it as default printing framework for a while 
now (SuSE since 7.2, Mandrake since I think 7.1)...



Comment 3 Tim Waugh 2002-01-10 21:34:33 UTC
Not.  Longer term than that, I think.


Comment 4 Gerald Teschl 2002-01-27 16:32:59 UTC
I guess there is nothing wrong with compiling kde/samba with cups
support. Gerd, you might want to file a RFE under kdelibs/samba.

Comment 5 Tim Waugh 2002-01-27 17:07:58 UTC
I think that if you watch rawhide in the next few days you might see something
interesting..



Note You need to log in before you can comment on or make changes to this bug.